Bug 112471 - rhn-applet reports incorrect numbers under KDE
rhn-applet reports incorrect numbers under KDE
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-20 05:49 EST by euphgeek
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 16:20:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description euphgeek 2003-12-20 05:49:34 EST
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1) 
 
Description of problem: 
I have a total of 25 components that need to be updated.  Out of 
these, 10 packages have been ignored (the Mozilla packages).  The 
other 15 are the glibc and postgresql packages.  So when I move the 
mouse over the applet in KDE, I should see "25 updates available (10 
ignored)."  But instead, I see "15 updates available (20 ignored)."   
 
Version-Release number of selected component (if applicable): 
rhn-applet-2.1.4-3 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Start rhn-applet-gui. 
2. If there are packages to update, move some to the ignored packages 
column. 
3. Move the mouse over the applet in the system tray. 
     
 
Actual Results:  The applet displays twice the number of packages 
ignored. 
 
Expected Results:  The applet should display the correct number of 
packages ignored. 
 
Additional info: 
 
Using KDE 3.1.4-6, kernel 2.4.22-1.2115.nptl
Comment 1 euphgeek 2003-12-23 17:28:56 EST
I think I've figured out why it does this.  I have downgraded my
Mozilla packages so that Galeon will work, and since there are two
Mozilla upgrades available (the one that came with the original core
and the updated version), rhn-applet counts each package twice.  In my
opinion, it should only list the most updated version, though.
Comment 2 Daniel Veillard 2003-12-23 17:38:36 EST
Ahhhh ! Okay, that makes far more sense to me :-)
Yes, some filtering on duplicate package name should be added
it's a good idea, I agree, but a relatively uncommon situation
in practice.

Daniel
Comment 3 Matthew Miller 2006-07-11 13:45:51 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 4 John Thacker 2006-10-25 16:20:13 EDT
Closed per above message and lack of response.  Note that FC1 and FC2 are not even
supported by Fedora Legacy anymore.

Note that rhn-applet is deprecated and not in recent FC releases.

Note You need to log in before you can comment on or make changes to this bug.